<div class="jumbotron">
    <h1 class="text-center">alura</h1>
</div>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <form>
                <div class="input-group">
                    <span class="input-group-btn">
                        <a [routerLink]="['/cadastro']" class="btn btn-primary">
                            Nova foto
                        </a>
                    </span>
                    <input #textoProcurado (keyup)="0" class="form-control" placeholder="pesquisa">
                </div>                
            </form>
        </div>
    </div>

    <div class="row">
        <painel *ngFor="let foto of fotos | filtroPorTitulo: textoProcurado.value " titulo="{{foto.titulo | uppercase}}" class="col-md-2">
            <foto url="{{foto.url}}"></foto>
        </painel>
    </div>

</div>